Bug 13411 - Fix strict aliasing warnings in ctdb_client
Fix strict aliasing warnings in ctdb_client
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: CTDB
4.8.1
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-27 14:45 UTC by Andreas Schneider
Modified: 2018-05-09 07:53 UTC (History)
2 users (show)

See Also:


Attachments
patch for 4.8 (81.56 KB, patch)
2018-05-03 06:49 UTC, Andreas Schneider
amitay: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2018-04-27 14:45:35 UTC
Fix strict aliasing warnings in ctdb_client.
Comment 1 Amitay Isaacs 2018-05-01 08:30:42 UTC
This can be fixed by removing most of the unused code in ctdb-client.c.
Comment 2 Andreas Schneider 2018-05-03 06:49:41 UTC
Created attachment 14173 [details]
patch for 4.8
Comment 3 Amitay Isaacs 2018-05-03 08:07:39 UTC
Hi Karolin,

This is ready for v4.8.
Comment 4 Karolin Seeger 2018-05-07 07:51:24 UTC
(In reply to Amitay Isaacs from comment #3)
Pushed to autobuild-v4-8-test.
Comment 5 Karolin Seeger 2018-05-09 07:53:19 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to v4-8-test.
Closing out bug report.

Thanks!